curl --request GET \
--url https://prod01.oms.fabric.inc/api/v2/order/returns \
--header 'Authorization: Bearer <token>' \
--header 'x-site-context: <x-site-context>'import requests
url = "https://prod01.oms.fabric.inc/api/v2/order/returns"
headers = {
"x-site-context": "<x-site-context>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-site-context': '<x-site-context>', Authorization: 'Bearer <token>'}
};
fetch('https://prod01.oms.fabric.inc/api/v2/order/returns', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"orderId": "62f3982438bcab1951be0a19",
"eligibleReasonCodes": [
"wrong item"
],
"policyType": "Exchange or return or cancellation",
"period": "30D00H00M",
"items": [
{
"lineItemId": "62f3dfc438bcab1951be0a19",
"eligibleQuantity": 10,
"eligible": true
}
],
"fees": [
{
"platinumFee": 33.9,
"currency": "USD"
}
]
}{
"message": "Bad Request"
}{
"message": "Order Not found"
}{
"message": "Internal Server Error"
}Check order return eligibility
This endpoint checks if an order is eligible for return.
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
The x-site-context header is a JSON object that contains information about the source you wish to pull from. The mandatory account is the 24 character identifier found in Copilot. The channel (Sales channel ID), stage (environment name), and date attributes can be used to further narrow the scope of your data source.
"{\"date\": \"2023-01-01T00:00:00.000Z\", \"channel\": 12, \"account\": \"1234abcd5678efgh9ijklmno\",\"stage\":\"production\"}"
Response
Return Eligibility per item
Order eligibility object
Order ID
"62f3982438bcab1951be0a19"
Reason codes allowed for returns
Reason codes allowed for returns
Policy type
"Exchange or return or cancellation"
Provides the configured duration for returns
"30D00H00M"
List of items with their eligibility to return
Show child attributes
Show child attributes
fees
Show child attributes
Show child attributes
Was this page helpful?
